module MailHandler
  # Initializes SES and SQS interfaces
  module AWS
    class << self
      def setup(config)
        require 'interfaces/sqs'
        require 'interfaces/ses'

        SES.setup config[:aws][:ses]
        SQS.setup config[:aws][:sqs]
      end
    end
  end
end
